Skip to main content

Search Watchers

POST 

/v1/watchers/:watchable_type/:id/search

Returns a list of Watchers as an array of Contact objects for a given Watchable type and ID. The ID should be that of the Watchable type being queried. Matches behavior of List action, accepts parameters including filters in request body.

Request

Responses

OK

Response Headers
    X-PaginationLimit

    The per page limit. Currently set to 100 but subject to change at any time.

    X-Pagination-Current-Page

    The current page. Defaults to 1.

    X-Pagination-Total-Pages

    The total number of pages in the result set. Use this along with Pagination-Current-Page to determine if there are any remaining pages/records to be retrieved.

    X-Pagination-Total-Count

    The total number of records in the result set (across all pages).